html {
    scroll-behavior: smooth;
}

body {
    margin: 0px;
}

nav div {
    gap: 50px;

    text-transform: uppercase;

    display: -webkit-box;

    display: -ms-flexbox;

    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: end;
        -ms-flex-pack: end;
            justify-content: flex-end;
}

nav {
    height: 112px;

    text-transform: uppercase;

    display: -webkit-box;

    display: -ms-flexbox;

    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: end;
        -ms-flex-pack: end;
            justify-content: flex-end;
    position: fixed;
    top: 0px;
    left: 0px;
    right: 0px;
    background-color: #000000a6;
    z-index: 100; 
}

iframe {
    width: 94vW;
    margin-top: -25px;
    margin-bottom: -100px;
}

.how-to-order {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-pack: distribute;
        justify-content: space-around;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    padding-bottom: 120px;
    background-color: white;
}

.how-to-order div {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-pack: distribute;
        justify-content: space-around;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    text-align: center;
}

a, a:visited {
    text-decoration: none;
}

a.lang {
    margin-left: 50px;
}

.t-content span {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    font-family: Economica-Bold, sans-serif;
    font-size: 56px;
    text-align: center;
    margin-bottom: 8px;
    white-space: nowrap;
}

.t-content div {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
}

.phonenumber.mobile {
    margin-right: 50px;
    max-width: 400px;
    min-width: 195px;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
}

div img.icon {
    width: 128px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

div.product img {
    width: 350px;
    max-width: 100%;
}

footer {
    background-color: black;
    margin-bottom: 0px;
    margin-top: 0px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    height: 144px;
    padding-left: 100px;
    padding-right: 100px;
}

.s-content {
    text-align: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    margin-top: 100vh;
}

.product {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: flex-start;
    max-width: 70%;
    margin-right: 15%;
    margin-left: 15%;
}

.product:nth-child(2) {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: reverse;
        -ms-flex-direction: row-reverse;
            flex-direction: row-reverse;
    -webkit-box-pack: end;
        -ms-flex-pack: end;
            justify-content: flex-end;
}

.menus {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
}

span.address {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    margin-bottom: 64px;
    text-align: center;
    margin-right: 10%;
    margin-left: 10%;
}

span.address img {
    width: 40px;
}

.t-content {
    margin-left: 100px;
    margin-right: 100px;
}

.nav-links {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

.s-start {
    height: 100vh;
    background-position-x: center;
    background-position-y: bottom;
    background-size: cover;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-size: cover;
    z-index: -1;
}

.s-menu {
    background-image: url(./../assets/img/3_section_our_menu/JPG/section_our_menu_bg.jpg);
    height: 100%;
    background-position-y: bottom;
    background-size: cover;
    padding-bottom: 120px;
}

.phonenumber {
    border-radius: 10px;
    border-width: 2px;
    border-style: solid;
    border-color: white;
    background-color: #9F0908;
    max-height: 25%;
    padding: 10px;
    gap: 5px;

    display: -webkit-box;

    display: -ms-flexbox;

    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
}

.phonenumber:hover {
    background-color: #a92727;
}

.phonenumber img {
    max-height: 25px;
}


.nav-col-1 {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: flex-start;

    width: 20%;
    padding-left: 100px;
}

.nav-col-1 img {
    width: 64px;
    height: 64px;

}

.nav-col-2 {
    width: 50%;
}

.nav-col-3 {
    min-width: 250px;
    padding-right: 100px;
}

.f-col-1, .f-col-2 {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    color: white;
    font-family: Raleway-Bold, sans-serif;
    padding-left: 50px;
    padding-right: 50px;
    text-transform: uppercase;
    gap: 20px;
    font-size: 24px;
}

.f-col-1 img {
    max-height: 44px;
}

.f-col-2 img {
    height: 40px;
    width: 40px;
}

div#s-start {
    height: 773px;
}

.s-start-content h1 {
    text-align: center;
}

div#map-container {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    text-align: center;
    margin-left: 10%;
    margin-right: 10%;
    background-color: #f1f1f1f1;
    padding-top: 25px;
    padding-bottom: 50px;
    padding-left: 100px;
    padding-right: 100px;
    border-radius: 10px;
}

.burger-menu {
    cursor: pointer;
    padding: 10px;
    font-size: 24px;
}

.burger-menu span {
    display: block;
}

.lang {
    padding-right: 50px;
}


a#burgermenu {
    z-index: 10;
}

div#slider-img {
    -webkit-filter: blur(0.5px 
px
);
            filter: blur(0.5px 
px
);
}

div#mobile-nav {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: end;
        -ms-flex-align: end;
            align-items: flex-end;
    gap: 20px;
    position: fixed !important;
    right: 0;
    top: 0px;
    background-color: #000000a6;
    padding: 48px;
    margin-top: 112px;
    border-bottom-left-radius: 20px;
    z-index: 500;
}

#show-map-button {
    padding: 10px;
    width: 100px;
    margin-top: 20px;
}

#scroll-to-top {
    position: fixed;
    bottom: 20px;
    right: 20px;
    display: none;
}

#scroll-to-top button {
    background-color: #ffffff98;
    color: #fff;
    border: none;
    border-radius: 5px;
    padding: 10px 12px;
    font-size: 20px;
    cursor: pointer;
}

#scroll-to-top button:hover {
    background-color: #f1f1f198;
}


div .phonenumber-mobile {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -ms-flex-line-pack: center !important;
        align-content: center !important;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    z-index: 100;
    margin-top: -14px;
    position: fixed;
    top: 39px;
    right: 230px;
}

div#locations {
    background-color: white;
    padding-bottom: 50px;
}

@media (max-width: 1250px) {
    .product {
        display: -webkit-box !important;
        display: -ms-flexbox !important;
        display: flex !important;
        -ms-flex-wrap: wrap;
            flex-wrap: wrap;
        -webkit-box-pack: center !important;
            -ms-flex-pack: center !important;
                justify-content: center !important;
        padding: 25px;
    }

    .product img {
        margin-bottom: 25px;
    }

    .nav-col-1 {
        position: absolute;
        left: -75px;
        margin-left: 0px;
    }

    .nav-col-1 img {
        width: 64px;
        height: 64px;
        margin-left: 10% !important;
    }
}

@media (max-width: 1030px) {
    nav.desktop {
        display: none;
    }   
    nav.mobile {
        display: -webkit-box !important;
        display: -ms-flexbox !important;
        display: flex !important;
        -webkit-box-orient: horizontal;
        -webkit-box-direction: normal;
            -ms-flex-direction: row;
                flex-direction: row;
		padding-right: 50px;
      	color: white;
        font-size: 48px;
    }
}

@media (max-width: 890px) {
    footer {
        display: -webkit-box !important;
        display: -ms-flexbox !important;
        display: flex !important;
        -ms-flex-wrap: wrap;
            flex-wrap: wrap;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
            -ms-flex-direction: column;
                flex-direction: column;
        -webkit-box-align: center;
            -ms-flex-align: center;
                align-items: center;
        padding-top: 50px;
        padding-bottom: 50px;
    }

    .f-col-1 img {
        max-height: 44px;
        max-width: 85%;
    }

    .how-to-order {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
            -ms-flex-direction: column;
                flex-direction: column;
        background-color: white;
    }
    
    .how-to-order div {
        margin-bottom: 100px;
    }
    
    .how-to-order div img {
        width: 60%;
    }

    h1, h2 {
        font-size: 40px !important;
    }

    .how-to-order div span {
        font-size: 32px !important;
    }
    footer {
        padding-left: 25px;
        padding-right: 25px;
    }
    
}

@media (min-width: 1030px) {
    .mobile, #mobile-nav, .phonenumber-mobile {
        display: none !important;
    }
}

@media (max-width: 600px) {
    .phonenumber {
        font-size: 18px !important;
    }
}

@media (max-width: 500px) {

    .t-content span {
        font-size: 38px;
    }
    .t-content div span {
        font-size: 24px !important;
    }

    .f-col-2 {
        padding-left: 0px;
        padding-right: 0px;
    }

    div#mobile-nav {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
            -ms-flex-direction: column;
                flex-direction: column;
        -webkit-box-align: end;
            -ms-flex-align: end;
                align-items: flex-end;
        gap: 20px;
        position: absolute;
        right: 0px;
    }

    .phonenumber {
        display: none !important;
    }
}

.phonenumber, .social-media a img {
    -webkit-animation: scaleAnimation 5s infinite alternate;
            animation: scaleAnimation 5s infinite alternate;
}

.s-start-content {
   -webkit-animation: SmallerScaleAnimation 10s infinite alternate;
           animation: SmallerScaleAnimation 10s infinite alternate;
}

.product img, .how-to-order div img, .phonenumber, .social-media {
    -webkit-transition: -webkit-transform 3s;
    transition: -webkit-transform 3s;
    -o-transition: transform 3s;
    transition: transform 3s;
    transition: transform 3s, -webkit-transform 3s;
}

.product img:hover, .how-to-order div img:hover, .phonenumber:hover, .social-media a img:hover {
    -webkit-animation: scaleAnimation 3s ease-in-out;
            animation: scaleAnimation 3s ease-in-out;
}

@-webkit-keyframes shakeAnimation {
    0%, 100% {
        -webkit-transform: translateY(0);
                transform: translateY(0);
    }
    25% {
        -webkit-transform: translateY(-5px);
                transform: translateY(-5px);
    }
    50% {
        -webkit-transform: translateY(5px);
                transform: translateY(5px);
    }
    75% {
        -webkit-transform: translateY(-5px);
                transform: translateY(-5px);
    }
}

@keyframes shakeAnimation {
    0%, 100% {
        -webkit-transform: translateY(0);
                transform: translateY(0);
    }
    25% {
        -webkit-transform: translateY(-5px);
                transform: translateY(-5px);
    }
    50% {
        -webkit-transform: translateY(5px);
                transform: translateY(5px);
    }
    75% {
        -webkit-transform: translateY(-5px);
                transform: translateY(-5px);
    }
}

@-webkit-keyframes scaleAnimation {
    0% {
        -webkit-transform: scale(1);
                transform: scale(1);
    }
    50% {
        -webkit-transform: scale(1.1);
                transform: scale(1.1);
    }
    100% {
        -webkit-transform: scale(1);
                transform: scale(1);
    }
}

@keyframes scaleAnimation {
    0% {
        -webkit-transform: scale(1);
                transform: scale(1);
    }
    50% {
        -webkit-transform: scale(1.1);
                transform: scale(1.1);
    }
    100% {
        -webkit-transform: scale(1);
                transform: scale(1);
    }
}

@-webkit-keyframes SmallerScaleAnimation {
    0% {
        -webkit-transform: scale(1);
                transform: scale(1);
    }
    50% {
        -webkit-transform: scale(0.95);
                transform: scale(0.95);
    }
    100% {
        -webkit-transform: scale(1);
                transform: scale(1);
    }
}

@keyframes SmallerScaleAnimation {
    0% {
        -webkit-transform: scale(1);
                transform: scale(1);
    }
    50% {
        -webkit-transform: scale(0.95);
                transform: scale(0.95);
    }
    100% {
        -webkit-transform: scale(1);
                transform: scale(1);
    }
}

